updateDateInput {shiny} | R Documentation

## Change the value of a date input on the client

### Description

Change the value of a date input on the client

### Usage

    updateDateInput(session, inputId, label = NULL, value = NULL, min = NULL,
      max = NULL)

### Arguments

`session` | The `session` object passed to function given to `shinyServer`.
`inputId` | The id of the input object.
`label` | The label to set for the input object.
`value` | The desired date value. Either a Date object, or a string in `yyyy-mm-dd` format.
`min` | The minimum allowed date. Either a Date object, or a string in `yyyy-mm-dd` format.
`max` | The maximum allowed date. Either a Date object, or a string in `yyyy-mm-dd` format.

### Details

The input updater functions send a message to the client, telling it to change the settings of an input object. The messages are collected and sent after all the observers (including outputs) have finished running.

The syntax of these functions is similar to the functions that created the inputs in the first place. For example, `numericInput()` and `updateNumericInput()` take a similar set of arguments.

Any arguments with NULL values will be ignored; they will not result in any changes to the input object on the client.

For `radioButtons()`, `checkboxGroupInput()` and `selectInput()`, the set of choices can be cleared by using `choices=character(0)`

### See Also

`dateInput`

### Examples

    ## Not run:
    shinyServer(function(input, output, session) {

      observe({
        # We'll use the input$controller variable multiple times, so save it as x
        # for convenience.
        x <- input$controller

        updateDateInput(session, "inDate",
          label = paste("Date label", x),
          value = paste("2013-04-", x, sep=""),
          min   = paste("2013-04-", x-1, sep=""),
          max   = paste("2013-04-", x+1, sep="")
        )
      })
    })

    ## End(Not run)

[Package shiny version 0.13.2 Index]